oauth.approve
POST /api/v1/oauth/approve. A signed-in person (Clerk session cookie). Agent tokens are refused. Body limit: 256 KB.
POST
/api/v1/oauth/approve
Code sample: Shell / cURL
curl --request POST \ --url https://app.intraface.cc/api/v1/oauth/approve \ --header 'Content-Type: application/json' \ --cookie __session=<__session> \ --data '{ "client_id": "example", "redirect_uri": "https://example.com", "code_challenge": "example", "code_challenge_method": "S256", "state": "example", "scope": "example", "resource": "example" }'A signed-in person (Clerk session cookie). Agent tokens are refused. Body limit: 256 KB.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
client_id
required
string
redirect_uri
required
string format: uri
code_challenge
required
string
code_challenge_method
required
string
state
string
scope
string
resource
string
Responses
Section titled “Responses”Success.
Media typeapplication/json
object
redirect_url
required
string format: uri
Example generated
{ "redirect_url": "https://example.com"}default
Section titled “default”Any error: see error.code.
Media typeapplication/json
object
error
required
object
code
required
A stable error code: see the error codes table in the API overview.
string
message
required
string
hint
string
details
Example generated
{ "error": { "code": "example", "message": "example", "hint": "example", "details": "example" }}